/**
 *
 * **/
/**
 * Generate a valid Next.JS `getStaticPaths` object that is plug-and-play
 * @param {array|string} files name of the directory to crawl, or an array listing of an already crawled directory
 * @param {boolean} drafts whether or not to include items that are marked as `draft: true` in their front-matter
 * @returns a valid Next.JS `getStaticPaths` object
 */
export declare function generateStaticPaths(files?: null, drafts?: boolean): any[] | {
    paths: {
        params: {
            slug: string;
        };
    }[];
    fallback: boolean;
};
/**
 * Generate a valid Next.JS `getStaticPaths` object for paginated pages that is plug-and-play
 * @param {object} pagination object computed from `computePagination`
 * @returns a valid Next.JS `getStaticPaths` object
 */
export declare function paginateStaticPaths(pagination: any): {
    paths: any[];
    fallback: boolean;
};
//# sourceMappingURL=next.d.ts.map